@font-face {
   font-family: 'Oswald';
   font-style: normal;
   font-weight: 200;
   src: local(''),
        url('../fonts/oswald-200.woff2') format('woff2'),
        url('../fonts/oswald-200.woff') format('woff');
 }
 @font-face {
   font-family: 'Oswald';
   font-style: normal;
   font-weight: 400;
   src: local(''),
        url('../fonts/oswald-regular.woff2') format('woff2'),
        url('../fonts/oswald-regular.woff') format('woff');
 }
 @font-face {
   font-family: 'Oswald';
   font-style: normal;
   font-weight: 300;
   src: local(''),
        url('../fonts/oswald-300.woff2') format('woff2'),
        url('../fonts/oswald-300.woff') format('woff');
 }


$highlight: brightness(0) saturate(100%) invert(64%) sepia(94%) saturate(234%) hue-rotate(347deg) brightness(97%) contrast(98%);

/*
 * Basic setup for the project including reset, box-sizing and font styling
 */

* {
   margin: 0;
   padding: 0;
   border: 0;
   
   box-sizing: border-box;
   font-family: 'Oswald', Courier, monospace;
   font-weight: 200;
   color: color("gray");

   @include prefix(user-select, none, webkit moz ms);

   &:focus {
      outline: none;
   }
}

::-webkit-scrollbar {
   width: 0;
   background: transparent;
}

code, span[class*='token '], input {
   @include prefix(user-select, text, webkit moz ms);
}

button, input {
   cursor: pointer;
}

button {
   border: 1px solid color("gray");
   background-color: color("white");

   img {
      height: 100%;
   }

   &:hover, &.selected {
      border-color: color("orange");
      color: color("orange");

      img {
         filter: $highlight;
      }
   }
}

.hidden {
   display: none;
}

h1, h2, h3, h4 {
   font-weight: 400;
}
body {
   font-size: 16px;
}
h1 {
   font-size: 1.8rem;
}
h2 {
   font-size: 1.5rem;
}
h3, h4, li {
   font-size: 1.2rem;
}
p, textarea {
   font-size: 1rem;
}
button, button span {
   font-size: 0.9rem;
}

.error {
   color: #f46542;
}